<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Certificate;

class CertificatesController extends Controller
{
    //
    public function index()
    {
        $certificates = Certificate::get();
        return view('certificates', compact('certificates'));
    }
    public function add_certificate()
    {
        return view('add_certificate');
    }
    public function create_certificate(Request $req)
    {
        $path = public_path('bilal.jpeg');
        // (A) OPEN IMAGE
        $img = imagecreatefromjpeg($path);
        $fontFile = public_path('wedding-text-regular_LMucD/Wedding Text Regular/Wedding Text Regular.ttf');

        // (B) WRITE TEXT
        // $txt = "Bilal Sheikh";
        $txt = $req->title;
        $fontSize = 43;
        $fontColor = imagecolorallocate($img, 0, 0, 0);
        $posX = 390;
        $posY = 277;
        $angle = 0;
        imagettftext($img, $fontSize, $angle, $posX, $posY, $fontColor, $fontFile, $txt);

        // $txts = "Certificate in Biblical Studies";
        $txts = $req->name;
        $fontSize = 48;
        $possX = 200;
        $possY = 420;
        $angles = 0;
        imagettftext($img, $fontSize, $angles, $possX, $possY, $fontColor, $fontFile, $txts);

        // $txts = "10th Day of November";
        $txts = $req->dob;
        $fontSize = 18;
        $possX = 640;
        $possY = 482;
        $angles = 0;
        imagettftext($img, $fontSize, $angles, $possX, $possY, $fontColor, $fontFile, $txts);

        // $txts = "2021";
        $txts = $req->year;
        $fontSize = 20;
        $possX = 613;
        $possY = 510;
        $angles = 0;
        imagettftext($img, $fontSize, $angles, $possX, $possY, $fontColor, $fontFile, $txts);

        // (C) OUTPUT IMAGE
        // (C1) DIRECTLY SHOW IMAGE
        header("Content-type: image/jpeg");
        // imagejpeg($img);
        // imagedestroy($img);
        // Output image to a file
        $imagePath = public_path('images/'); // Replace 'images' with your desired folder
        $filename = uniqid('certificate_') . '.jpeg'; // Generate a unique filename
        $fullImagePath = $imagePath . $filename;

        imagejpeg($img, $fullImagePath);

        imagedestroy($img);

        $certificate = new Certificate();
        $certificate->title = $req->title;
        $certificate->name = $req->name;
        $certificate->dob = $req->dob;
        $certificate->c_year = $req->c_year;
        $certificate->c_certificate = $filename; // Save the image filename
        $certificate->save();
        // die;

        return redirect()->route('certificates');
    }
    public function delete_certificate($id)
    {
        $certificate = Certificate::find($id);
        $certificate->delete();
        return redirect('certificates');
    }
}
