@extends('layouts.main')

@section('content')
    <style>
        #example_wrapper {
            padding: 10px;
        }
    </style>
    <div class="content-wrapper">
        <!-- Content -->
        <div class="container-xxl flex-grow-1 container-p-y">
            <div class="d-flex justify-content-between">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb breadcrumb-style2 mb-0">
                        <li class="breadcrumb-item">
                            <a href="#">Home</a>
                        </li>
                        <li class="breadcrumb-item active">Certificate</li>
                    </ol>
                </nav>
                <a href="{{ route('add_certificate') }}" class="btn rounded-pill btn-primary text-white">Create
                    Certificate</a>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="my-5">
                        <!-- Basic Bootstrap Table -->
                        <div class="card">
                            <h5 class="card-header">Certificate Detail</h5>
                            <div class="table-responsive text-nowrap">
                                <table id="example" class="table table-striped" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Sr No</th>
                                            <th>Title</th>
                                            <th>Name</th>
                                            <th>DOB</th>
                                            <th>Year</th>
                                            <th>Certificate</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($certificates as $key => $certificate)
                                            <tr>
                                                <td>{{ $key + 1 }}</td>
                                                <td>{{ $certificate->title }}</td>
                                                <td>{{ $certificate->name }}</td>
                                                <td>{{ $certificate->dob }}</td>
                                                <td>{{ $certificate->c_year }}</td>
                                                <td><a href="{{ url('images/' . $certificate->c_certificate) }}"
                                                        download>Download Certificate</a> </td>
                                                <td>
                                                    <div class="d-flex">
                                                        <a class=" cus_margin1"
                                                            href="{{ route('delete_certificate', $certificate->id) }}"><i
                                                                class="bx bx-trash me-1 danger_clr"></i>
                                                        </a>
                                                    </div>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <!--/ Basic Bootstrap Table -->
                    </div>
                </div>
            </div>
        </div>
        <!-- / Content -->
        <div class="content-backdrop fade"></div>
    </div>

    @push('footer-script')
        <script>
            $(document).ready(function() {
                $('#example').DataTable({
                    responsive: true
                });
            });
        </script>
    @endpush
@endsection
